#!/bin/bash
set -euo pipefail
EPGGZ=epg.xml.gz
EPG="${EPGGZ%.gz}"
curl -sL https://i.mjh.nz/nz/epg.xml.gz > "$EPGGZ"
gunzip -f "$EPGGZ"
patch -s < rename.patch
patch -s --fuzz=3 < remove.patch
mythfilldatabase --file --sourceid --xmlfile "$EPG"
